' Mandelbrot ASCII from BBCBasic Gordon Henderson
'Option EXPLICIT
'Option DEFAULT NONE
' A BASIC, ASCII MANDELBROT
  '
  ' This implementation copyright (c) 2019, Gordon Henderson
  '
  ' Permission to use/abuse anywhere for any purpose granted, but
  ' it comes with no warranty whatsoever. Good luck!
  '
   C$ = ".,'~=+:;[/<&?oxOX# " : Rem 'Pallet' Lightest to darkest...
   SO = 1 : Rem Set to 0 if your MID$() indexes from 0.
   MI = Len(C$)
   MX = 4
   LS = -2.0
   TP = 1.25
   XS = 2.5
   YS = -2.5
   W = 64
   H = 48
   SX = XS / W
   SY = YS / H
   Timer =0
   For Y = 0 To H
     CY = Y * SY + TP
     For X = 0 To W
       CX = X * SX + LS
       ZX = 0
       ZY = 0
       CC = SO
    notdone:   X2 = ZX * ZX
       Y2 = ZY * ZY
       If CC > MI Then GoTo printit
       If (X2 + Y2) > MX Then GoTo printit
       T = X2 - Y2 + CX
       ZY = 2 * ZX * ZY + CY
       ZX = T
       CC = CC + 1
       GoTo notdone
  printit:     Print Mid$(C$, CC - SO, 1);
     Next
     Print
   Next
   Print
   Print (Timer) / 1000
   End
  